<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/background_shape_white_radius_8"
    android:paddingLeft="12dp"
    android:paddingRight="12dp"
    android:paddingBottom="24dp">

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:text="让您觉得没有帮助的原因"
        android:textColor="@color/text_primary"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/closeIv"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginTop="12dp"
        android:src="@drawable/ic_alert_dialog_close"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/reasonRv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:orientation="horizontal"
        android:overScrollMode="never"
        app:layout_constraintTop_toBottomOf="@+id/title" />

    <EditText
        android:id="@+id/contentEt"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/border_round_stroke_eee_4"
        android:gravity="top"
        android:hint="提交您的意见，有助于我们不断地改进（最多300字）"
        android:lineSpacingExtra="4dp"
        android:maxLength="300"
        android:padding="12dp"
        android:textColor="@color/text_primary"
        android:textColorHint="@color/text_instance"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/reasonRv" />

    <TextView
        android:id="@+id/commitBtn"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/button_round_f5f5f5"
        android:gravity="center"
        android:text="提交"
        android:textColor="@color/text_instance"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/contentEt" />

    <TextView
        android:id="@+id/feedbackMoreTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:text="反馈更多游戏问题"
        app:layout_constraintEnd_toEndOf="parent"
        android:textColor="@color/text_theme"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/commitBtn" />

</androidx.constraintlayout.widget.ConstraintLayout>